ncbi-tools6 (6.1.20170106+dfsg2-7) unstable; urgency=medium

  * debian/.ncbirc: Belatedly set [BLAST]BLASTDB to /usr/share/ncbi/data.
    (See #1117994.)
  * Always return a value from non-void functions.  (Closes: #1123553.)
    - biostruc/cdd/thrd*.[ch] (bwfi, cp[alr]l, cxei, salu, sgoi, slou,
      spe[al], spni, ttb0, zsc): Correct return type to void to match
      implementation and usage.
    - demo/debruijn.c ([Nlm_]Main): Return 0 when not bailing.
    - tools/taxblast.c (RDTaxLookupReset): Return tax_looxup, modified
      in place.
  * Standards-Version: 4.7.3 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Dec 2025 22:30:14 -0500

ncbi-tools6 (6.1.20170106+dfsg2-6) unstable; urgency=medium

  * Fix or work around build-order assumptions caught by
    make --shuffle=reverse. (Closes: #1105544.)
    - debian/rules: Explicitly invoke copy targets before compilation.
    - make/makeall.unx: Build *.glo directly; GCC's on board with it, and
      the current logic breaks when corresponding *.o files don't yet exist.
    - make/makenet.unx: Explicitly build all static libraries encompassed
      by nocopy or given as extra goals before any shared libraries.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 May 2025 15:40:41 -0400

ncbi-tools6 (6.1.20170106+dfsg2-5) unstable; urgency=medium

  * debian/tests/control: Unconditionally skip network-based tests.  They
    rely on NCBI's ID1 service, which is slated to retire.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Nov 2024 22:08:28 -0500

ncbi-tools6 (6.1.20170106+dfsg2-4) unstable; urgency=medium

  * debian/control: Drop B-D on obsolete libpcre3-dev.
    (Closes: #1078825.)
  * make/makedemo.unx: Comment out upstream PCRE3 demos and tests, which
    were the only things that needed it and weren't getting installed
    anyway.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 08 Sep 2024 22:50:02 -0400

ncbi-tools6 (6.1.20170106+dfsg2-3) unstable; urgency=medium

  * Fix compilation under GCC 14.  (Closes: #1075307.)
    - algo/blast/api/hspfilter_queue.c: Cast ersatz virtual function
      implementation pointers as appropriate.
    - api/asn2ff{2,4}.c, corelib/ncbimain.c, demo/trna2tbl.c,
      tools/{ncbisort,pattern1}.c, vibrant/vibmain.c: Stop relying on
      implicit int.  (In the case of ncbisort.c, take the opportunity to
      comment out an occurrence of the deprecated keyword "register.")
    - desktop/seqpanel.c: Correct fputs argument order (accidentally left
      unswapped when substituting it for printf years ago).
  * Standards-Version: 4.7.0 (routine-update)
  * Rely on pre-initialized dpkg-architecture variables (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Jul 2024 21:56:34 -0400

ncbi-tools6 (6.1.20170106+dfsg2-2) unstable; urgency=medium

  * Don't rely on any implicit function declarations.  (Closes: #1066356.)
    - api/asn2gnb2.c: Correct the first(!) <asn2gnbi.h> to <ffprint.h>
      for PrintDate.
    - api/salutil.c: +<alignmgr2.h> for AlnMgr2IndexSingleChildSeqAlign.
    - vibrant/shim3d.h: Add a prototype for Nlm_SetOGLContext and
      supporting forward declarations.  (Some name clashes preclude
      reliably including X headers from here.)
  * debian/control: Apply routine-update.
    - List fields in its preferred order.
    - Wrap lists to hold one item per line.
    - Standards-Version: 4.6.2 (no changes needed).
    - Drop ncbi-cn3d's Breaks/Replaces on ancient ncbi-tools-x11.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Mar 2024 23:21:24 -0400

ncbi-tools6 (6.1.20170106+dfsg2-1) unstable; urgency=medium

  * Incorporate final time64 changes; the previous two uploads used
    6.1.20170106+dfsg1-10.1~exp2 as their basis.  Adjust ...-1~exp1's
    changelog entry accordingly, dropping the Closes: annotation and the
    note about properly handling multi-library .symbols files.
  * debian/control: Trim redundant versioned build dependencies on
    dpkg-dev; a single mention in B-D should suffice.
  * debian/rules: Don't explicitly opt into time64 anywhere.  The final
    version of the NMU added a suitable versioned B-D on dpkg-dev, and the
    explicit logic (formally?) overshot on hurd-i386 and any even less
    official i386 architectures.  (RIP kfreebsd-i386.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 01 Mar 2024 08:59:45 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp2) experimental; urgency=medium

  * debian/rules: Explicitly opt back out of the time64 ABI on i386.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Feb 2024 21:38:36 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp1) experimental; urgency=medium

  * New tarball, with the webdesign subtree dropped; at least some of its
    content was generated but supplied without corresponding sources and
    inputs, and nothing from there was getting packaged anyway.
  * Merge initial (NMU-ed) time64 changes.
  * debian/{.gitignore,libncbi6t64.doc-base,*.lintian-overrides,*.symbols}:
    Correct stray references to old library package names.  NB: These
    lintian-overrides tuneups drop post-colon package names altogether.
  * debian/copyright (Files-Excluded):
    - Drop spurious leading ncbi/.
    - Add webdesign.
  * debian/rules: Explicitly enable the time64 ABI for now.
  * debian/watch: Update for bump to +dfsg2.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 18 Feb 2024 21:10:49 -0500

ncbi-tools6 (6.1.20170106+dfsg1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064245

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 10:43:06 +0000

ncbi-tools6 (6.1.20170106+dfsg1-10) unstable; urgency=medium

  * debian/.ncbirc: Help igblast find the auxiliary data it will ship.
  * debian/source/lintian-overrides: Ignore spurious source-is-missing for
    unwrapped text in readme.html files under network/wwwblast (but not for
    webdesign/designs/cubby/filters/ClinicalTrials.html, where it's more
    legitimate -- that file is a dump of HTML generated on an old web server).
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 02 Sep 2022 16:28:02 -0400

ncbi-tools6 (6.1.20170106+dfsg1-9) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/upstream/metadata: Fix typo.

  [ Aaron M. Ucko ]
  * Trim trailing whitespace.
  * debian/copyright:
    - Use spaces rather than tabs to start continuation lines.
    - Clean up spurious trailing content on Files: lines.  (Several somehow
      wound up with trailing colons, and one had a parenthesized comment,
      which the spec doesn't allow.)
    - Correct the spelling of "downloaded."
  * Use secure URIs in Homepage field and debian/watch.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Move development files usable with libvibgif.so.6 to libncbi6-dev from
    libvibrant6-dev; set Breaks/Replaces accordingly.  (The runtime library
    has long been in libncbi6, since it adds no extra dependencies.)
  * debian/*.symbols: Use Build-Depends-Package, missed earlier.
  * debian/ncbi-cn3d.{postinst,prerm}: Supply -e via set, per best practice.
  * Update Lintian overrides: drop overrides associated with former .menu
    files, and go ahead and override custom-compression-in-debian-rules for
    the ncbi-rrna-data binary package, which is architecture-independent
    and benefits from tuning.
  * debian/rules: Use pkg-info.mk rather than raw dpkg-parsechangelog.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 12 Oct 2020 22:08:56 -0400

ncbi-tools6 (6.1.20170106+dfsg1-8) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint.

  [ Andreas Tille ]
  * Remove duplicate which breaks UDD import.

  [ Aaron M. Ucko ]
  * debian/control: Standards-Version: 4.5.0 (already compliant).
  * debian/ncbi-data.links (new): Establish /etc/.ncbirc (as notably
    consulted by ncbi-blast+) as a symlink to /etc/ncbi/.ncbirc (which
    this source package's binaries consult).  (LP: #1860109.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Feb 2020 22:09:14 -0500

ncbi-tools6 (6.1.20170106+dfsg1-7) unstable; urgency=medium

  * debian/control: Broaden ncbi-cn3d Breaks/Replaces on ncbi-tools-x11 to
    (<= 6.1.20170106+dfsg1-5~) per delayed split.  (Closes: #940210.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 14 Sep 2019 20:53:39 -0400

ncbi-tools6 (6.1.20170106+dfsg1-6) unstable; urgency=medium

  * Reupload to unstable, having cleared NEW.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 12 Sep 2019 21:42:48 -0400

ncbi-tools6 (6.1.20170106+dfsg1-5) experimental; urgency=medium

  * Split Cn3D(-3.0) out into a new ncbi-cn3d binary package; update
    debian/upstream/metadata accordingly.  (Originally done in
    6.1.20170106-7, but reverted in 6.1.20170106+dfsg1-1 to avoid holding
    up DFSG fixes.)
  * Give ncbi-cn3d a binary-specific version, missed earlier.
  * Upload to experimental to clear NEW.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 07 Sep 2019 22:07:41 -0400

ncbi-tools6 (6.1.20170106+dfsg1-4) unstable; urgency=medium

  * debian/NEWS: Rename from ncbi-data.NEWS to work around apt-listchanges
    bug #383803; bump version to ensure visibility.

 -- Aaron M. Ucko <amu@ucko.debian.net>  Mon, 26 Aug 2019 21:54:59 -0400

ncbi-tools6 (6.1.20170106+dfsg1-3) unstable; urgency=medium

  * debian/ncbi-data.NEWS: Note UniVec removal, which turned out to have a
    bigger impact than anticipated.
  * debian/tests/run-unit-test: Explicitly point vecscreen at UniVec_Core.
    (Closes: #935424.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 25 Aug 2019 21:03:24 -0400

ncbi-tools6 (6.1.20170106+dfsg1-2) unstable; urgency=medium

  * debian/test/run-unit-test: Substitute UniVec_Core for UniVec (removed
    in -1 per license considerations).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 11 Aug 2019 21:59:19 -0400

ncbi-tools6 (6.1.20170106+dfsg1-1) unstable; urgency=medium

  [Andreas Tille]
  * debian/upstream/metadata: Fix DOI syntax (shouldn't be a full URL).

  [Aaron M. Ucko]
  * Belatedly repackage without data/UniVec.*, some portions of which
    turned out to be non-free (with copyright held by Invitrogen
    Corporation, which requires a license for commercial use thereof.)
  * debian/copyright:
    - Cover previously overlooked third-party code (all DFSG-free).
    - Update authors and dates for debian/*.
    - Set Files-Excluded to reflect repackaging.
  * debian/rules: Introduce NCBI_VERSION_SHLIB, with +dfsg1 stripped off.
  * debian/watch: Reflect usage of +dfsg1.
  * make/makeshlb.unx: NCBI_VERSION -> NCBI_VERSION_SHLIB.
  * Temporarily revert ncbi-cn3d splitout to expedite the above fixes.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 Jul 2019 22:12:41 -0400

ncbi-tools6 (6.1.20170106-7) unstable; urgency=medium

  [ Steffen Möller ]
  * debian/upstream/metadata: Add metadata for Cn3D.

  [ Aaron M. Ucko ]
  * Split Cn3D(-3.0) out into a new ncbi-cn3d binary package; update
    debian/upstream/metadata accordingly.
  * debian/upstream/metadata: Quote title because it contains a colon.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Feb 2019 16:35:37 -0500

ncbi-tools6 (6.1.20170106-6) unstable; urgency=medium

  * debian/rules: Find indirectly needed libraries via -rpath-link rather
    than LD_LIBRARY_PATH; the -rpath-link approach is generally saner, and
    in particular has a decent shot at fully fixing cross-building.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 27 Dec 2018 22:39:09 -0500

ncbi-tools6 (6.1.20170106-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Improve cross building: Don't force the build architecture compiler
    (Thanks for the patch to Helmut Grohne)
    Closes: #908353
  * cme fix dpkg-control

  [ Aaron M. Ucko ]
  * debian/control: libvibrant6b Recommends: sensible-utils (no longer
    guaranteed present, per #871260).
  * Standards-Version: 4.3.0 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 24 Dec 2018 23:40:58 -0500

ncbi-tools6 (6.1.20170106-4) unstable; urgency=medium

  * debian/compat: Advance to Debhelper 11.
  * debian/control:
    - Mark *-data reshuffling with Breaks, not just Replaces. (Closes: #902364.)
    - Build-Depends: Advance to debhelper (>= 11~).
  * debian/copyright: Fix years (packaging through 2018, upstream through 2017).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 Jun 2018 21:36:10 -0400

ncbi-tools6 (6.1.20170106-3) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Added autopkgtest for ncbi-tools-bin.
    Closes: #879619

  [ Aaron M. Ucko ]
  * debian/{*.gif,ncbi2.css}: Add local copies of NCBI resources used by HTML
    docs.
  * debian/control:
    - Repoint Vcs-* at salsa.debian.org.
    - Standards-Version: 4.1.4 (already compliant).
    - Rules-Requires-Root: no (confirmed safe).
  * debian/{libncbi6,ncbi-tools-x11}.docs: Install resources from debian/ as
    needed.
  * debian/source/format: Set to 3.0 (quilt) to accommodate binary test data.
  * debian/source/include-binaries: List debian/tests/test-data/nc0305.aso.gz
    and (individually) debian/*.gif.
  * debian/source/options: single-debian-patch (tracking changes purely
    with git for now).
  * debian/source/patch-header: "Combined patches from git."
  * demo/{findspl,taxblast_main}.c: Call SOCK_SetupSSL (accidentally missed
    earlier).
  * doc/{dispatcher,firewall}.html: Patch to use (newly supplied) local
    resources, addressing a generic privacy breach caught by Lintian.
  * make/make{demo,net}.unx: Link findspl and taxblast against $(LIBTLS)
    and $(GNUTLS_LIBS).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jun 2018 12:06:15 -0400

ncbi-tools6 (6.1.20170106-2) unstable; urgency=medium

  * debian/control: Correctly version ncbi-tools-bin's Breaks/Replaces
    on blast2 over taxblast move.  (Closes: #854329.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 05 Feb 2017 21:40:38 -0500

ncbi-tools6 (6.1.20170106-1) unstable; urgency=medium

  * New upstream release (after all).
  * debian/*.symbols: Update accordingly.
  * doc/man/cleanasn.1: Update accordingly.
  * debian/copyright: Update years.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 09 Jan 2017 22:35:15 -0500

ncbi-tools6 (6.1.20160908-2) unstable; urgency=medium

  * Stop building the transitional blast2 package (taken over by ncbi-blast+)
    and retire its remaining vestiges (the bibliograpy and autopkgtest setup).
  * connect/ncbi_util.c: Fix a FTBFS on hurd-i386 by conditionally using a
    more appropriate header for PAGE_SIZE (<mach/vm_param.h>).
  * Reinstate taxblast (now part of ncbi-tools-bin, and correctly documented
    as a postprocessing tool), accidentally dropped with the rest of blast2.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 06 Dec 2016 18:37:19 -0500

ncbi-tools6 (6.1.20160908-1) unstable; urgency=medium

  [ Andreas Tille ]
  * (Final) new upstream release, incorporating most Debian changes, adding
    HTTPS support, and desupporting legacy BLAST.  (Closes: #846477, #821075.)
  * cme fix dpkg-control
  * drop -dbg packages since these will be created automatically
  * Fixed watch file (thanks to Eriberto <eriberto@eriberto.pro.br>)
  * DEP5

  [ Aaron M. Ucko ]
  * Reinstate direct upstream changes lost in merge.
  * Ensure that apps that could potentially hit the network can use HTTPS.
    (Don't bother with anything that only supports the old Entrez1 service.)
  * Allow Entrez2 over HTTPS by switching to the Entrez2s service, making
    HTTPS connections by default, and allowing HTTPS POST redirections from
    raw IP addresses (which NCBI's certificates don't cover).
  * Let GCC take care of setting __DATE__ and __TIME__ per SOURCE_DATE_EPOCH.
  * api/sqnutil3.c: Substitute strcpy for sprintf with no extra
    arguments, which our hardening flags disallow.
  * connect/ncbi_gnutls.c: Suppress strict version check.
  * debian/*.symbols: Update for new release.
  * debian/{blast2.*,control,rules}, make/makedemo.unx: Turn blast2 into an
    architecture-independent transitional package for ncbi-blast+-legacy.
    (Retire blastcl3, which is obsolete.)
  * debian/{compat,control}: Advance to Debhelper compat level 10.
  * debian/control: Drop unversioned B-D-I on dpkg-dev left behind by cme.
  * debian/{control,rules}:
    - Build against GNU TLS.
    - Retune ncbi-data/ncbi-rrna-data split.
  * debian/libncbi6(-dev).install, make/makeshlib.unx: Account for new
    libconnssl library.
  * debian/rules:
    - Drop override_dh_strip-arch target now that -dbg packages are gone.
    - Fix typo in name of override_dh_makeshlibs-arch target from #806084.
  * debian/{rules,.gitignore}: Stop generating legacy menu files for
    non-interactive tools (already retired in favor of XDG desktop files
    for true graphical applications).
  * debian/rules, make/make{demo,net}.unx: Substitute -Wl,--as-needed
    for manual linkage cleanups.
  * demo/tbl2asn.c: Complain about date only if failing for other reasons.
    (Closes: #821075.)
  * doc/man/blastcl3.1: Fix a stray reference to retired programs.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Dec 2016 21:33:55 -0500

ncbi-tools6 (6.1.20120620-12) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added.

 -- Canberk Koç <canberkkoc@gmail.com>  Sat, 20 Aug 2016 10:20:38 +0300

ncbi-tools6 (6.1.20120620-11) unstable; urgency=medium

  * Team upload.
  * Add support for SOURCE_DATE_EPOCH, making packages building BLAST
    indexes reproducible (Closes: #834139)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 12 Aug 2016 20:29:37 +0000

ncbi-tools6 (6.1.20120620-10) unstable; urgency=medium

  * debian/rules: chmod +x private scripts in the targets that use them.
    (Doing so in override_dh_auto_build-arch broke indep-only builds.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Dec 2015 01:19:59 -0500

ncbi-tools6 (6.1.20120620-9) unstable; urgency=medium

  * debian/control: Split most of Build-Depends into Build-Depends-Arch.
  * debian/makemenu: Elide menu entries, and potentially entire menu
    files, when .desktop(.in) files cover the same apps.  (See #741573.)
  * debian/rules:
    - Fix and streamline builds covering only the architecture-independent
      (*-data) packages.  (Closes: #806084.)
    - Arrange to define BUILD_{DATE,TIME} based on the last changelog entry.
    - clean: chmod -x private scripts, for compatibility with dgit.
  * debian/sbtedit.desktop.in: Add a menu entry for sbtedit, accidentally
    missed earlier.
  * {demo,sequin}/*.c: Favor BUILD_{DATE,TIME} over __DATE__ and __TIME__
    for the sake of reproducibility.
  * doc/man/sbtedit.1: Fix some minor typos.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Dec 2015 23:52:45 -0500

ncbi-tools6 (6.1.20120620-8) unstable; urgency=low

  [ Aaron M. Ucko ]
  * corelib/ncbimisc.c (MergeStringArray): Ensure all return paths
    explicitly return a value, as Clang reasonably requires.
  * debian/control: Formally update Standards-Version (3.9.6) and Vcs-Browser.

  [ James McCoy ]
  * Move debian/upstream to debian/upstream/metadata

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 08 Oct 2014 22:26:33 -0400

ncbi-tools6 (6.1.20120620-7) unstable; urgency=low

  * debian/rules: Use find -perm /..., not deprecated +....  (Closes: #724777.)
  * debian/.gitignore: Belatedly update for switch to libvibrant6b.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Oct 2013 10:58:03 -0400

ncbi-tools6 (6.1.20120620-6) unstable; urgency=low

  * debian/installman: Eliminate for $var qw(...) syntax that broke with
    Perl 5.18.  (Closes: #722913.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 14 Sep 2013 23:16:12 -0400

ncbi-tools6 (6.1.20120620-5) unstable; urgency=low

  * demo/makeset.c: If unable to open an input ASN.1 file, report an error
    and exit rather than trying to work with a NULL pointer and crashing.
    (Thanks to Alexandre Rebert and the Mayhem Team at Carnegie Mellon
    University's Cylab for revealing this possibility.)
  * debian/control: Modernize libvibrant6b-dbg's short description.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 27 Jun 2013 22:23:19 -0400

ncbi-tools6 (6.1.20120620-4) unstable; urgency=low

  * Rename libvibrant6(-dbg) to libvibrant6b(-dbg), as the release team
    doesn't condone ever reusing binary package names.
  * blast2: Conflict with unofficial ncbi-blast packages.  (LP: #658240.)
  * Rebuild in a clean environment.  (Closes: #714070.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 25 Jun 2013 22:00:52 -0400

ncbi-tools6 (6.1.20120620-3) unstable; urgency=low

  * Migrate from Lesstif to Motif, which is (finally!) free these days.
    - Substitute libmotif-dev for liblesstif-dev in Build-Depends and
      libvibrant6-dev's Depends.
    - Rename libvibrant6a(-dbg) back to libvibrant6(-dbg).
  * Standards-Version: 3.9.4.  (Already compliant.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 28 May 2013 22:26:01 -0400

ncbi-tools6 (6.1.20120620-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Strings containing ': ' need to be quoted.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jun 2012 22:54:29 -0400

ncbi-tools6 (6.1.20120620-1) unstable; urgency=low

  * New upstream release, just in time for Wheezy.
  * debian/*.symbols: update accordingly.
  * api/txalign.c: turn one more sprintf into a (nominally safer) snprintf.
  * make/makenet.unx: link asnmacro against libblastapi now that it actually
    needs to.
  * debian/*-dev.install: make sure to install all headers collectively.
  * doc/man/*.1: update for new release.
  * debian/ncbi-tools-bin.examples: new, covering scripts from demo/.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jun 2012 22:15:27 -0400

ncbi-tools6 (6.1.20110713-6) unstable; urgency=low

  * debian/rules: Tweak -fPIC -> -fPIE substitution to accommodate platforms
    (kFreeBSD, and some Linux architectures) lacking PIE support.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 01 Jun 2012 21:02:58 -0400

ncbi-tools6 (6.1.20110713-5) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Added citation information

  [ Aaron M. Ucko ]
  * debian/control:
    - Build-Depends-Indep: dpkg-dev (>= 1.16.2~) for dpkg-deb -Sextreme.
    - Repoint Vcs-* at anonscm.debian.org (vs. git.debian.org).
  * debian/rules:
    - Enable full hardening flags, contriving to substitute -fPIC for
      -fPIE as necessary.
    - Build ncbi-rrna-data with -Sextreme rather than hacking XZ_OPT.
  * make/makeshlb.unx: Honor externally supplied (hardening) LDFLAGS.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 01 Jun 2012 18:36:37 -0400

ncbi-tools6 (6.1.20110713-4) unstable; urgency=low

  * debian/control:
    - Give ncbi-rrna-data a pre-dependency on dpkg (>= 1.15.6) for xz support.
    - Wrap and sort (build) dependencies.
    - Drop specific build dependency on libpng12-dev, even as a preferred
      libpng-dev provider.  (Closes: #662442.)
    - Require debhelper (>= 9), which has been final for some time.
    - Standards-Version: 3.9.3.  (No changes needed.)
  * debian/{libncbi6,ncbi-tools-bin}.install: sort as well.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 08 Mar 2012 19:14:20 -0500

ncbi-tools6 (6.1.20110713-3) unstable; urgency=low

  * debian/{libncbi6-dev,ncbi-tools-bin}.install: move /usr/bin/asntool
    and /usr/bin/errhdr from libncbi6-dev to ncbi-tools-bin so that the
    former can properly be Multi-Arch: same.  (Closes: #646970.)
  * debian/libncbi6-dev.NEWS.debian: note the above move.
  * debian/control: adjust descriptions and relationships accordingly.
  * debian/{libncbi6-dev,ncbi-tools-bin}.lintian-overrides: update accordingly.
  * debian/rules:
    - Don't try to give libncbi6-dev manpages or menu entries.
    - Compress the giant ncbi-rrna-data package with xz -7e (the sweet spot).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 30 Oct 2011 20:52:57 -0400

ncbi-tools6 (6.1.20110713-2) unstable; urgency=low

  * api/alignmgr2.c, api/pgppop.c, api/txalign.c, desktop/seqpanel.c,
    tools/spidey.c: avoid calling printf and the like with non-constant
    strings, as caught by -Werror=format-security.  (Closes: #643444.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 01 Oct 2011 22:08:13 -0400

ncbi-tools6 (6.1.20110713-1) unstable; urgency=low

  * New upstream release.
  * debian/*.symbols: update accordingly.
  * make/makeshlb.unx: link libcn3dOGL.so against -lm for sqrt.
  * doc/man/*.1: update for new release.
  * debian/rules:
    - (VIB): add asnmacro, as upstream takes care to publish binaries thereof.
    - Retire obsolete multiarch-unaware checks for libpthread.
    - Fully modernize Debhelper usage; in particular, transition to overrides.
  * debian/compat: advance to 9 per rules modernization.
  * debian/ncbi-tools-bin.install: add asnmacro.
  * make/makenet.unx: link asnmacro only against libraries it directly needs.
  * doc/man/asnmacro.1: give asnmacro a man page.
  * doc/man/Psequin.1: list it in SEE ALSO.
  * network/id1arch/idfetch.c: revert redundant change (from #295110).
  * Convert to multiarch.
    - debian/rules: Install libraries (and ncbithr.o) to multiarch directories.
    - debian/lib*.install: match multiarch library paths.
    - debian/control:
      + Build-Depends: debhelper (>= 8.1.3~), implying a recent dpkg-dev.
      + Set Multi-Arch: as appropriate across the board, and specify
        Pre-Depends: ${misc:Pre-Depends} for runtime libraries.
  * debian/*.lintian-overrides: drop leading slashes for Lintian 2.5.x.
  * debian/control: Standards-Version: 3.9.2 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Sep 2011 18:55:02 -0400

ncbi-tools6 (6.1.20100808-3) unstable; urgency=low

  * vibrant/shim3d.c: support libpng 1.5+, per Nobuhiro Iwamatsu's most
    helpful patch.  (Closes: #636006.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 30 Jul 2011 11:51:21 -0400

ncbi-tools6 (6.1.20100808-2) unstable; urgency=low

  * Reupload to unstable following the release of Debian 6.0 (squeeze).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 13 Feb 2011 15:07:22 -0500

ncbi-tools6 (6.1.20100808-1) experimental; urgency=low

   * New upstream release; the upgrade to BLAST 2.2.24 (from 2.2.21) should
     address a formatdb regression.  (LP: #586219.)
   * Uploading to experimental because squeeze is frozen.
   * debian/rules (install-indep-stamp): adapt to new ncbilogo.ico contents.
   * debian/lib{ncbi6,vibrant6a}.symbols: update for latest release.
   * doc/man/*.1: update for latest release.
  [plus the cleanups backported to unstable in 6.1.20090809-2]

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 03 Sep 2010 17:43:17 -0400

ncbi-tools6 (6.1.20090809-2) unstable; urgency=low

  * debian/rules
    - Clean up compilation settings; in particular, use dpkg-buildflags rather
      than relying on dpkg-buildpackage to have set CFLAGS appropriately.
    - (clean): restore expected empty directories if necessary,
      for compatibility with VCSes (notably git) that don't track them.
    - (VIB): add asndisc, as upstream takes care to publish binaries thereof.
  * debian/ncbi-tools6.install: likewise add asndisc.
  * (debian/).gitignore: Ignore content generated during build.
  * make/makenet.unx: don't link asndisc against extraneous libraries.
  * doc/man/asndisc.1: throw together a man page for asndisc.
  * doc/man/cleanasn.1: fix SEE ALSO formatting.
  * debian/control:
    - bump dpkg-dev build-dep to >= 1.15.7 for dpkg-buildflags.
    - Standards-Version: 3.9.1 (already compliant).
    - note switch to git-mediated Debian-Med team maintenance.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 13 Oct 2010 20:23:37 -0400

ncbi-tools6 (6.1.20090809-1) unstable; urgency=low

  * New upstream release.
  * debian/libncbi6.symbols: update accordingly.
  * debian/control: clean up obsolete or redundant relationship declarations.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 11 Aug 2009 22:03:47 -0400

ncbi-tools6 (6.1.20090719-1) unstable; urgency=low

  * New upstream release.
  * debian/lib{ncbi6,vibrant6a}.symbols: update accordingly.
  * doc/man/*.1: update accordingly as well.
  * debian/control: declare compliance with Policy 3.8.2 (no changes needed).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 01 Aug 2009 21:19:49 -0400

ncbi-tools6 (6.1.20090301-1) unstable; urgency=low

  * New upstream release; uploading to unstable now that lenny is out.
  * debian/lib{ncbi6,vibrant6a}.symbols: update accordingly.
  * doc/man/*.1: update accordingly as well.
  * debian/control: place lib*-dbg in the new debug section, per the
    current override file.
  * debian/control: declare compliance with Policy 3.8.1 (no changes needed).
  * api/aliread.c: merge in fix (from 6.1.20080302-4) to undefined use of
    sprintf caught by Kees Cook's scan.
  * debian/watch: belatedly update regex to recognize releases like the
    previous one ([6.1.]20081116a).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 19 Mar 2009 10:17:26 -0400

ncbi-tools6 (6.1.20081116a-2) experimental; urgency=low

  * debian/control: per Lintian's advice, depend on ${misc:Depends} across
    the board, in case Debhelper ever populates it.
  * debian/{control,rules}: split newly added large BLAST databases into a
    new ncbi-rrna-data package to keep ncbi-data to a reasonable size.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 17 Dec 2008 19:45:48 -0500

ncbi-tools6 (6.1.20081116a-1) experimental; urgency=low

  * New upstream release.
  * debian/lib{ncbi6,vibrant6a}.symbols: update accordingly.
  * debian/rules: resync VIB with makedis.csh, adding the new app taxblast.
  * debian/{blast2,ncbi-tools-bin}.install: add the new apps taxblast and
    subfuse, respectively.
  * debian/libncbi6-dev.install: add the new headers ace{read,rdapi}.h.
  * debian/ncbi-tools-x11.{postinst,prerm}: run update-alternatives
    without an explicit path, per Lintian.
  * debian/rules (clean): drop stray references to CDBS's debian/stamp-*.
  * make/make{demo,net}.unx: link asn2gb, debruijn, subfuse, and taxblast
    correctly.
  * doc/fwd_check.sh: use mktemp rather than predictable names (formally
    CVE-2008-5149).
  * doc/man/*.1: update for latest release; document new apps.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Dec 2008 18:25:17 -0500

ncbi-tools6 (6.1.20080302-4) unstable; urgency=medium

  * doc/fwd_check.sh: use mktemp rather than predictable names (formally
    CVE-2008-5149).
  * api/aliread.c: fix undefined use of sprintf caught by Kees Cook's scan.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Dec 2008 20:31:00 -0500

ncbi-tools6 (6.1.20080302-3) unstable; urgency=high

  * tools/readdb.c: enable madvise()-based code on all glibc (hence all
    Debian) systems, not just Linux.  (Closes: #490437.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 14 Jul 2008 19:43:15 -0400

ncbi-tools6 (6.1.20080302-2) unstable; urgency=low

  * Migrate from CDBS to Debhelper 7 (along with dpkg-dev >= 1.14.17),
    replacing some files with equivalent symlinks.
  * debian/makemenu: stop generating obsolete linda overrides.
  * Declare compliance with Policy 3.8.0.  (No changes needed.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 11 Jun 2008 19:08:50 -0400

ncbi-tools6 (6.1.20080302-1) unstable; urgency=low

  * New upstream release
  * debian/lib{ncbi6,vibrant6a}.symbols: update and clean up.
  * debian/lib{ncbi,vibrant}6-dev.install: ship new headers.
  * debian/ncbi-tools-bin.docs, doc/man/tbl2asn.1: belatedly ship
    tbl2asn.txt, and restore tbl2asn.1's reference thereto.
  * doc/man/*.1: correct usage of ' and -.
  * doc/man/{blast,cleanasn,nps2gps,tbl2asn}.1: resync with help output.
  * debian/control: tighten dependencies between binary packages.
  * debian/{control,rules}: require cdbs 0.4.51; drop workaround for #462130.
  * debian/{control,rules,*.override}: rename Lintian overrides to
    $pkg.lintian-overrides and employ dh_lintian from debhelper (>= 6.0.7)
    in lieu of custom logic.
  * debian/*.doc-base*: modernize (and correct) section assignments per
    doc-base 0.8.10: science -> Science/Biology, net -> System/Administration.
  * debian/makemenu: drop obsolete Encoding key from generated .desktop files.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 19 Mar 2008 19:42:00 -0400

ncbi-tools6 (6.1.20070822-5) unstable; urgency=low

  * debian/{control,rules}, make/make{all,demo,net}.unx: adjust makefiles
    for compatibility with GNU Make 3.81, and switch back from pmake.
  * debian/{compat,control,rules}: advance to Debhelper 6, with a
    temporary workaround for CDBS bug #462130.
  * debian/lib{ncbi6,vibrant6a}.symbols: new, to allow looser reverse
    dependencies.
  * debian/watch: move unsupported downloadurlmangle option to a comment
    so that uscan actually works.
  * debian/control: clean up crufty relations, assuming a build
    environment of at least etch (stable) and an installation environment
    of at least sarge (oldstable).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Jan 2008 21:56:22 -0500

ncbi-tools6 (6.1.20070822-4) unstable; urgency=low

  * debian/control: enable ${shlibs:Depends} for libncbi6-dev, which
    contains a couple of utilities in addition to its other contents.
  * make/make{demo,net,shlb}.unx: ensure that every shipped executable and
    shared library links against everything it uses directly and nothing
    else, per dpkg-shlibdeps's new warnings.
  * debian/watch: reformat, as the old version didn't actually have the
    desired semantics (which uscan doesn't actually support AFAICT :-/).
  * doc/man/tbl2asn.1: drop obsolete reference to tbl2asn.txt.
  * debian/control: give blast2 its own Homepage field.
  * debian/libncbi6.dirs: dropped, not actually pointful.
  * debian/{installman,ncbi-tools-x11.links}: make symlinks automatically.
  * debian/control: declare compliance with Policy 3.7.3.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 18 Jan 2008 19:43:04 -0500

ncbi-tools6 (6.1.20070822-3) unstable; urgency=low

  * debian/control: fix typo (ncbi-tools-data for ncbi-data) that left
    ncbi-tools-x11 uninstallable. :-/

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 30 Oct 2007 19:14:18 -0400

ncbi-tools6 (6.1.20070822-2) unstable; urgency=low

  * debian/control: set Homepage.
  * debian/{control,makemenu,rules,*.desktop.in}: supply XDG desktop
    entries and icons for inherently graphical apps.  (Closes: #448031.)
  * debian/{man.unused,old-blast-man,shlibs.local}: remove (obsolete
    cruft; shlibs.local contained only comments anyway.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Oct 2007 19:27:01 -0400

ncbi-tools6 (6.1.20070822-1) unstable; urgency=low

  * New upstream release.
  * vibrant/vib{main,wndws.c}: restore sane behavior in key corner cases
    (no Nlm_Main, no DISPLAY).
  * debian/{control,rules}: ncbilogo.ico now contains multiple variants;
    use icotool from icoutils to extract the right one to convert.
  * debian/libncbi6-dev.install: handle two new "unclaimed" headers.
  * debian/ncbi-tools-bin.install: drop getfeat (dead), entrcmd (obsolete).
  * debian/ncbi-tools-x11.install: drop netentcf (dead), Nentrez (obsolete).
  * debian/ncbi-tools-x11.links: repoint entrez at entrez2 (vs. Nentrez).
  * debian/rules: stop building Nentrez; update list of built but unwanted
    executables.
  * debian/makemenu: fix section assignments per menu policy 2.1.35.
  * Update man pages.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 08 Oct 2007 16:42:46 -0400

ncbi-tools6 (6.1.20061015-2) unstable; urgency=low

  * debian/installman: don't append .gz to *.htm(l) files' paths, as
    dh_compress (rightly) excludes them by default.  (Closes: #412651.)
  * debian/makemenu: correct vibrate's package requirement to libvibrant6a
    (closes: #429955, #429956); generate appropriate linda overrides (for
    command-not-exist), another "problem" with the setup.
  * debian/libvibrant6a.override (new): suppress lintian warnings about
    the package name not precisely matching any SONAME.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 29 Jun 2007 13:29:17 -0400

ncbi-tools6 (6.1.20061015-1) unstable; urgency=low

  * New upstream release.
  * Don't bother linking against indirectly used system libraries.
  * Update man pages.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 Oct 2006 19:32:02 -0400

ncbi-tools6 (6.1.20060507-3) unstable; urgency=low

  * Drop transitional packages, which are now entirely redundant thanks to
    the binNMU of clustalx for i386 earlier this June.  (Closes: #322059.)
  * Migrate to lesstif2, renaming libvibrant6(-dbg) to libvibrant6a(-dbg)
    to avoid any possibility of version skew.  [Lesstif lacks versioned
    symbols, though admittedly so does Vibrant.]  (Closes: #374233.)
  * Make debian/stamp-setup a dependency of common-configure-indep as well
    as common-configure-arch so that building via an immediate call to
    "fakeroot debian/rules binary" works properly, per #373971.
  * Explicitly build depend on modular versions of *all* relevant X
    libraries, per the other issue in #373971 (and to ensure that the arm
    autobuilder's failure mode *really* can't recur).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Jun 2006 09:28:43 -0400

ncbi-tools6 (6.1.20060507-2) unstable; urgency=low

  * Version the build-dependency on libxmu-dev to (>= 1:1) to ensure that
    we *can* actually drop -I/usr/X11R6/include and -L/usr/X11R6/lib,
    avoiding the failure mode observed on the arm autobuilder.
  * Further increase cdbs's minimum required version to the brand new
    0.4.40, which automatically sets DEB_DBG_PACKAGE_* appropriately.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2006 20:42:28 -0400

ncbi-tools6 (6.1.20060507-1) unstable; urgency=low

  * New upstream release (issued on May 26, but from older sources).
  * Drop obsolete -I/usr/X11R6/include and -L/usr/X11R6/lib flags.
  * Rework inter-package relationships with the help of dpkg-dev 1.13.19.
  * Migrate remaining shared library support files (including vibrate) to
    ncbi-data, as they're conveniently all architecture-independent.
  * Add cleanasn (new) to the list of applications to build, and give it a
    man page.
  * Update existing man pages.
  * Increase the cdbs requirement to 0.4.39-0.1, and drop workarounds for
    (some?) older versions.
  * Switch to debhelper compatibility level 5, with its reworked -dbg
    package handling.
  * Standards-Version: 3.7.2.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2006 16:50:27 -0400

ncbi-tools6 (6.1.20060301-1) unstable; urgency=low

  * New (relatively, anyway ;-P) upstream release.
  * (Build-)depend directly on libgl(u)1-mesa-dev by default (but keep
    the alternate [build-]dependencies on virtual packages, of course).
  * Add insdseqget to the list of applications to build.
  * Stop installing wwwblast.h, which is private to code we don't even
    build.
  * Update man pages (and add one for insdseqget, forked from gbseqget's).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 12:52:44 -0400

ncbi-tools6 (6.1.20051206-1) unstable; urgency=low

  * New upstream release.
  * Temporarily switch to pmake (added to Build-Depends) for upstream's
    makefiles, as GNU make 3.81.b4 gets mysteriously confused when trying
    to build from them (but, oddly, only when invoked from debian/rules).
  * Add "new" blastall_old executable to the blast2 package.
  * Reshuffle documents slightly, and make sure to register all top-level
    HTML documents with doc-base.
  * Loosen libncbi6's dependency on ncbi-data to accommodate binary-only
    NMUs.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 12 Jan 2006 18:50:27 -0500

ncbi-tools6 (6.1.20050828-1) unstable; urgency=low

  * New upstream release
    - Adds two new programs: sbtedit (in ncbi-tools-x11) and trna2sap
      (in ncbi-tools-bin).
  * Drop obsolete alternative (build-)dependencies on ancient versions of
    xlibs-dev, and silly build-dependency on libglu1-xorg | libglu1c2, and
    resync libvibrant-dev's dependencies properly.
  * Add man pages for the new programs, and clean up and update others as
    needed.

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 Nov 2005 16:41:18 -0500

ncbi-tools6 (6.1.20050605-2) unstable; urgency=low

  * Adjust default libglu-dev to libglu1-xorg-dev to avoid confusing the
    autobuilders.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 15 Jul 2005 23:37:06 -0400

ncbi-tools6 (6.1.20050605-1) unstable; urgency=low

  * New upstream release.
  * Enable asn2asn via VIB rather than unnecessarily modifying
    makedemo.unx, and add (and document) nps2gps and trna2tbl along
    the way.
  * Make sure to build with libglu1c2 for the C++ transition.
  * Don't set DEB_DH_SHLIBDEPS_ARGS; it's not necessary with current
    versions of dpkg and cdbs, and -L isn't actually additive anyway.
  * Bump standards-version to 3.6.2 (no changes needed).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 15 Jul 2005 19:03:40 -0400

ncbi-tools6 (6.1.20050429-1) unstable; urgency=low

  * New upstream release.
  * Add and document asn2all, asn2fsa, asnval, and gene2xml, even though
    makedis.csh still omits them.
  * Make Nentrez and Psequin available under the saner names entrez and
    sequin.
  * Tweak debian/rules to better handle "draft" builds from subversion.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 May 2005 17:43:14 -0400

ncbi-tools6 (6.1.20041020-3) unstable; urgency=low

  * Fix FTBFS under GCC 4.0 caused by inconsistent use of "static" on
    functions.  (Closes: #295110.)
  * Add a watch file, now that we can.  (Upstream's layout needs version=3.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 27 Mar 2005 12:00:15 -0500

ncbi-tools6 (6.1.20041020-2) unstable; urgency=low

  * Add spidey to ncbi-tools-bin by Steffen Moeller's request, and
    incorporate some documentation he supplied for it.  (Closes: #291895.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 25 Jan 2005 18:16:49 -0500

ncbi-tools6 (6.1.20041020-1) unstable; urgency=low

  * New upstream release; debian/* resynched as necessary.
    - Fixes Vibrant invisible text bug!
  * Take advantage of menu 2.1.8's support for multiple required packages.

 -- Aaron M. Ucko <ucko@debian.org>  Mon,  1 Nov 2004 20:07:56 -0500

ncbi-tools6 (6.1.20040616-1) unstable; urgency=low

  * New upstream release.
  * debian/blast2.docs: adjusted for new arrangement (a separate
    source-tree directory full of HTML files).
  * debian/{control,lib*-dbg.install,rules}: switch to new-style -dbg
    packages containing just the stripped-out symbols.
  * debian/{installman,ncbi-tools-bin.install,rules}: upstream has dropped
    f(asta)merge.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Jun 2004 00:18:09 -0400

ncbi-tools6 (6.1.20040505-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - set BLAST_VERSION from demo/.BLAST_VERSION rather than parsing
      tools/blastdef.h.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 15 May 2004 17:49:45 -0400

ncbi-tools6 (6.1.20040204-3) unstable; urgency=low

  * Update X-related (build-)dependencies per the changes in 4.3.
  * Reunite the Vibrant packages, with libvibrant.so.6 and
    libncbicn3d.so.6 always pointing at the OpenGL-enabled versions, now
    that xlibmesa-gl merely suggests the heavyweight packages containing
    acceleration modules.
  * As such, tighten shlibdeps for libvibrant6 to avoid possible trouble.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 10 Mar 2004 18:48:26 -0500

ncbi-tools6 (6.1.20040204-2) unstable; urgency=low

  * debian/{libncbi6-dev,rules}: account for new include subdirectories.

 -- Aaron M. Ucko <ucko@debian.org>  Sun,  8 Feb 2004 22:42:12 -0500

ncbi-tools6 (6.1.20040204-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: expand public domain notice to full length.
  * debian/*.install: install newly added files.
  * debian/rules:
    - supply appropriate -L args to dh_shlibdeps (accidentally lost when
      converting to CDBS).
    - various minor cleanups.
  * demo/debruijn.c: fix fencepost error.
  * desktop/bspview.c, vibrant/netscape.c: launch sensible-browser rather
    than netscape.
  * doc/man/blast.1: document new blast2 executable.
  * doc/man/debruijn.1: new, based on help output.
  * make/makeshlb.unx: add dependency info for libblast(api).

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  6 Feb 2004 22:03:25 -0500

ncbi-tools6 (6.1.20031028-1) unstable; urgency=low

  * New upstream release.
  * debian/blast2.docs: follow README.* -> *.txt renaming.
  * debian/libncbi6-dev.install: add new headers scoremat.h and wwwblast.h.
  * debian/installman: new; factored out of debian/rules, and enhanced
    to look in doc/man before debian/man and tweak pages as needed.
  * debian/instdoc: removed (not used since conversion to CDBS).
  * debian/man/*: remove pages now committed upstream.
  * debian/{ncbi-tools-bin.files,rules}: remove cdscan (obsolete).
  * debian/rules: run new debian/installman script.
  * debian/vibrant/vibwndws.c: add a weak declaration of Nlm_Main
    (and code to complain if it's not satisfied) here too.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Nov 2003 22:51:03 -0500

ncbi-tools6 (6.1.20030421-6) unstable; urgency=low

  * debian/control: Fix libncbi6-dbg to depend directly on libncbi6
    rather than on the transitional ncbi-tools6 package.
  * debian/{control,lib*-dbg.install,rules}: While I'm at it, move
    unstripped libraries from /usr/lib/ncbi-tools-dbg to /usr/lib/debug.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 17 Oct 2003 23:24:32 -0400

ncbi-tools6 (6.1.20030421-5) unstable; urgency=low

  * debian/control:
    - Downgrade oldlibs packages (ncbi-tools6 and vibrant6) to priority
      extra, per override.
    - Bump CDBS build-dependency to >= 0.4.12.
    - Drop redundant entries from build-depends-indep.
  * debian/libncbi6.doc-base: Actually supply the documentation
    directory's current name.  (Closes: #215398.)
  * debian/rules: Take advantage of CDBS 0.4.12's support for -dbg packages.
  * corelib/ncbimain.c: Use an __attribute__((weak)) declaration for
    Nlm_Main rather than a dummy implementation + #pragma weak.
  * vibrant/shim3d.c: Likewise for Cn3D_GetCurrentOGLData.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 12 Oct 2003 11:18:21 -0400

ncbi-tools6 (6.1.20030421-4) unstable; urgency=low

  * debian/rules: compile with -mieee on Alpha to fix platform-specific
    FPEs.  (Closes: #127224).
  * doc/README.bls: updated to latest upstream version (which includes the
    missing release notes for 2.2.6).

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  2 Sep 2003 11:13:09 -0400

ncbi-tools6 (6.1.20030421-3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.6.1 (no changes needed).
    - blast2, ncbi-tools-bin: Suggest libvibrant6 rather than vibrant6.
    - libvibrant6-gl{,-dev}, ncbi-tools-x11: lower priority to extra due
      to conflicts with libvibrant6-nogl, which is optional.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 22 Aug 2003 20:21:56 -0400

ncbi-tools6 (6.1.20030421-2) unstable; urgency=low

  * The "overdue cleanup" release.
  * general (debian/*, make/makeshlb.unx):
    - Rename library packages to start with "lib"; ncbi-tools6 and vibrant6
      are now dummy forwarding packages.
    - Move libvibgif.so.6 to libncbi6, since it's independent of X.
    - Split GL and non-GL variants of libvibrant and libncbicn3d into
      separate packages.
    - Standardize on the network version of the Entrez 1 access library
      (libncbiNacc), if only for the sake of other libraries that need any
      of the three variants; the CDROM-only version's not so useful
      nowadays, and the combo version seems to misfire without the CDs.
      Note that all three remain available in static form.
    - Handle the circular relationship between libncbiNacc and libnetentr by
      linking the PIC version of libnetentr.a into libncbiNacc.so and making
      libnetentr.so.6 merely another link to libncbiNacc.so.6. (Kludge.)
    - Set up proper shared library dependencies, now that it is possible to
      do so uniquely.
    - Now compliant with Policy 3.6.0.
  * connect/ncbi_http_connector.c: Don't half-close sockets after sending
    headers, as we can't always successfully read from them afterwards
    (due to broken firewalls?).
  * debian/rules:
    - Switch to CDBS, despite upstream's funky build system.
    - Stop imposing the obsolete menu icon color restriction.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 28 Jul 2003 20:11:26 -0400

ncbi-tools6 (6.1.20030421-1) unstable; urgency=low

  * New upstream release.
  * api/aliread.c: avoid char vs. EOF comparisons.
  * debian/{blast2,ncbi-tools6-dev}.docs: package new upstream docs.
  * debian/control:
    - Change section to devel.
    - Bump standards version to 3.5.9 (already compliant).
    - Change preferred libpng-dev to libpng12-dev (12-0-dev went away).
  * debian/man/Psequin.1: sequin seems to take options after all;
    (very roughly) document them.
  * debian/man/{asn2gb,blast,fastacmd,gbseqget,gil2bin,tbl2asn}.1:
    - Update to reflect current help output.
  * debian/rules: add bl2seq to VIB so we still actually build it.
  * demo/gil2bin.c: #include <blast.h> for GetGisFromFile prototype.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 27 Apr 2003 12:41:48 -0400

ncbi-tools6 (6.1.20021213-5) unstable; urgency=low

  * debian/control: Build-Conflict on xlibmesa-glu-dev (<< 4.2.1-6), and
    drop corresponding workarounds.  (See #178310 and #178374.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 25 Feb 2003 23:44:39 -0500

ncbi-tools6 (6.1.20021213-4) unstable; urgency=low

  * Oops, add a dependency on xlibmesa-gl-dev|libgl-dev because
    xlibmesa-glu-dev doesn't seem to depend on it....
  * Likewise for xlibmesa3-glu | libglu1, due to #178310.
  * Still no (intentional) changes in actual content relative to
    6.1.20021213-2.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 24 Jan 2003 22:07:51 -0500

ncbi-tools6 (6.1.20021213-3) unstable; urgency=low

  * Update OpenGL deps to xlibmesa-glu-dev|libglu-dev.
  * Hack debian/rules to give blast2 a more meaningful version number.
  * Finally rename *.files to *.install and change dh_movefiles -a to
    dh_install -a --autodest --list-missing --sourcedir=debian/tmp.  (Drop
    ncbi-data.files in favor of installing directly into debian/ncbi-data.)
  * Add lintian overrides for menu-icon-missing warnings.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 24 Jan 2003 14:43:59 -0500

ncbi-tools6 (6.1.20021213-2) unstable; urgency=low

  * Address char-signedness issues.  (Closes: #177392)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 21 Jan 2003 21:04:50 -0500

ncbi-tools6 (6.1.20021213-1) unstable; urgency=low

  * New upstream release.  (Man pages updated.)
  * Change preferred libpng-dev to libpng12-0-dev rather than libpng3-dev
    (which is a dummy package these days).
  * Abandon plans for switching to lesstif2, as Vibrant seems to work
    better with lesstif1.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 Dec 2002 22:34:26 -0500

ncbi-tools6 (6.1.20021119-1) unstable; urgency=low

  * New upstream release.  (Man pages updated accordingly.)
  * Update for policy 3.5.8: move menu entries to Apps/Science per #162812.
  * Indicate options in man pages with \- rather than - per #159872.
  * Move icons from /usr/X11R6/include/X11/pixmaps to /usr/share/pixmaps.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 21 Nov 2002 09:05:38 -0500

ncbi-tools6 (6.1.20020828-2) unstable; urgency=low

  * Try to use madvise only if MADV_NORMAL is actually defined.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  5 Sep 2002 10:49:01 -0400

ncbi-tools6 (6.1.20020828-1) unstable; urgency=low

  * New upstream release.
  * Update man pages based on current help output.
  * Go to standards version 3.5.7 (support "noopt" rather than "debug" in
    DEB_BUILD_OPTIONS).
  * Strictly speaking, the ABI changes should necessitate a new soname,
    but no external Debian packages seem to use the affected interfaces,
    so I'll be lazy.  You may need to rebuild any local binaries you have.
    (Conflict with old versions of our binary packages, though.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  4 Sep 2002 20:30:31 -0400

ncbi-tools6 (6.1.20020426-5) unstable; urgency=low

  * Add a second hyphen before (no-)whole-archive to fix the ARM build.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Aug 2002 18:41:08 -0400

ncbi-tools6 (6.1.20020426-4) unstable; urgency=low

  * Partially migrate to debhelper v4.
  * Pave the way for C++ toolkit packages (in progress):
    - Provide a weak default definition of Nlm_Main so that our shared
      libncbi doesn't bite applications which supply their own main().
    - Rename Cn3D to Cn3D-3.0 and register it as an alternative for Cn3D.
  * Move to libpng3 (only affects applications).
  * Rename fmerge to fastamerge to resolve conflict with fhist.
    (Closes: #155791)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Aug 2002 22:34:17 -0400

ncbi-tools6 (6.1.20020426-3) unstable; urgency=low

  * Remove getseq (which isn't terribly useful) to resolve conflict with
    hmmer.  (Closes: #147793)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 23 May 2002 21:20:47 -0400

ncbi-tools6 (6.1.20020426-2) unstable; urgency=low

  * Enable large-file support; please let me know if this turns out to
    break anything.  (Closes: #144531)
  * Don't build ncbithr.o or link against -lpthread unless that library
    actually exists; should help on non-Linux ports.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  9 May 2002 19:26:35 -0400

ncbi-tools6 (6.1.20020426-1) unstable; urgency=low

  * New upstream release; apparently fixes formatdb segfault on PowerPC
    (closes: #144783).
  * Some existing interfaces have changed, but not enough to justify
    bumping the soname; if binaries built against older revisions of the
    toolkit no longer work, try rebuilding them.  (I don't believe this
    affects any other Debian packages.)
  * Updated man pages based on current help output.
  * Patched both versions (regular and Vibrant) of common argument-
    processing code to honor "--help" (closes: #144785).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Apr 2002 18:30:43 -0400

ncbi-tools6 (6.1.20011220a-2) unstable; urgency=low

  * Whoops, ncbi-data should replace pre-split versions of ncbi-tools6.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  4 Apr 2002 22:13:09 -0500

ncbi-tools6 (6.1.20011220a-1) unstable; urgency=low

  * New upstream release, mostly appears to address some megablast issues.
  * Deal with some 64-bit-cleanliness issues.
  * Partially fix Cn3D lossage in #127224.  (It still crashes, but later.)
  * Fix copymat lossage with trailing spaces and improve its error
    messages (closes: #138933).
  * Split architecture-independent files into new ncbi-data package.
  * Fix path to libXm.so.1 in vibrate.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 31 Mar 2002 10:33:49 -0500

ncbi-tools6 (6.1.20011220-2) unstable; urgency=low

  * Update manpages based on current help output.
  * Fix typo in description (ASN1 -> ASN.1).
  * Use $(CC) rather than gcc in makeshlb.unx.
  * Build asn2asn.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 28 Dec 2001 13:48:20 -0500

ncbi-tools6 (6.1.20011220-1) unstable; urgency=low

  * New upstream release (Closes: #126625).
  * Bug #31724 is probably fixed by now, and too vague to do much of
    anything with anyway.  (Closes: #31724; please supply useful details
    if reopening.)
  * Tweak rules so that the shlibs dependency is always
    (>= [latest.upstream.version]-1).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 27 Dec 2001 21:08:17 -0500

ncbi-tools6 (6.1.20010709-9) unstable; urgency=low

  * Menu seems to be broken on some architectures, so drop build
    dependency and add a copy of cmap.xpm to debian/.
  * Slightly rework treatment of icons in debian/rules.
  * Change "c-shell" to "tcsh|c-shell" in build-deps to address buildd
    warnings.
  * Add lintian overrides for new menu file.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 20 Dec 2001 11:47:53 -0500

ncbi-tools6 (6.1.20010709-8) unstable; urgency=low

  * Change priority of debugging libraries to extra, per the override file.
  * Add menu file for ncbi-tools6-dev (asntool) and menu icons.
  * Add build-depends on ImageMagick and menu for icon creation.
  * Clean up internal script for creating menu files.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 18 Dec 2001 21:12:41 -0500

ncbi-tools6 (6.1.20010709-7) unstable; urgency=low

  * Change section of debugging libraries from libs to devel.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 18 Nov 2001 20:36:31 -0500

ncbi-tools6 (6.1.20010709-6) unstable; urgency=low

  * Introduce debugging libraries.  (Closes: #38354).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 12 Nov 2001 12:08:44 -0500

ncbi-tools6 (6.1.20010709-5) unstable; urgency=low

  * Sigh, the change in -4 intended to fix arm broke it instead; revert to
    __arm__.  Where'd I put that paper bag? ;-)
  * Allow #cpu(...) and #machine(...) for all platforms.
  * Downgrade "unknown platform" to a warning; the code mostly doesn't
    care which PROC_XXX macro, if any, gets defined (and when it does, may
    read too much from it; see below).
  * Fix uses of PROC_XXX not to assume that MIPS -> IRIX or HPPA -> HP/UX.
  * Use appropriate sysconf to get processor count.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 16 Oct 2001 13:26:49 -0400

ncbi-tools6 (6.1.20010709-4) unstable; urgency=low

  * Also fix test for m68k.  Why can't the macros be more consistent?
  * Check everything else against the GCC sources and find that __arm__
    should be arm.
  * That should be all of these; apologies for the inconvenience.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Oct 2001 14:50:03 -0400

ncbi-tools6 (6.1.20010709-3) unstable; urgency=low

  * Fix test for powerpc in ncbilcl.lnx.  (Check for two likely
    definitions to be extra safe. ;-))

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 12 Oct 2001 10:50:39 -0400

ncbi-tools6 (6.1.20010709-2) unstable; urgency=low

  * Fix problems caught by autobuilders:
  * Rewrite clean rule to avoid mkdir. (Closes: #115103)
  * Add build-dependency on c-shell (ugh) for ln-if-absent.
  *
  * Whoops, my previous sweep missed two (old, minor) bugs on
    ncbi-tools6-dev:
  * 31724: I suspect I can close this by now, but don't have a whole lot
    of information to go on; could somebody on an Alpha investigate?
  * 38354: Debugging libraries would be a good idea, but I'm holding off
    until autobuilds succeed because adding more binary packages
    introduces ftpmaster wait.
  *
  * Keep shlib requirement at >= 6.1.20010709-1, because this version
    doesn't change anything relevant.
  * Add HTTP URL for HTML SDK docs.
  * Optimize out blast.REAL build.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 10 Oct 2001 18:42:44 -0400

ncbi-tools6 (6.1.20010709-1) unstable; urgency=low

  * New upstream version; adds more apps, and includes newer BLAST (2.2.1
    rather than 2.0.9).  (Closes: #33451, #37966, #37967, #47369, #101168)
  * Repackaged largely from scratch, acknowledging the convoluted nature
    of the upstream build system.
  * Put ncbi-tools6 and vibrant6 in section "libs", where they belong,
    rather than "devel" (already correct in override file).
  * Used the same form of my name in the control file and the changelog so
    that katie doesn't think I'm making NMUs.
  * Acknowledged my own last "NMU"  (Closes: #100247, #103550, #104365)
  * Enabled thread support for appropriate applications.  (Closes: #35216)
  * Added automatic fallback to /etc/ncbi if NCBI not set in the
    environment; did away with no-longer-necessary wrappers.
  * New binary packages for apps: ncbi-tools-bin and ncbi-tools-x11.
  * Moved data to /usr/share/ncbi/data, since it's architecture-independent.
  * Closes all existing bugs.  Let's see how long that lasts...
    and no fair filing silly reports just to thwart me. ;-)
  * Dropped text version of old SDK docs in favor of pointer to online HTML
    version.
  * Don't link against Vibrant unnecessarily; instead, provide a wrapper
    script (vibrate) with the same net effect.
  * Added menu entries (using vibrate for apps it benefits).
  * Added Lintian overrides to deal with cross-package menu entries.
  * Registered with doc-base.
  * Clean by Lintian 1.20.15, modulo the aforementioned overrides.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  6 Oct 2001 10:51:36 -0400

ncbi-tools6 (6.0.2-3) unstable; urgency=low

  * Adopted. (Closes: #100247)
  * Acknowledge previous NMUs.  (Closes: #103550, #104365)
  * Stop installing /usr/share/doc/ncbi-tools6/NCBI/fa2htgs/updateHtgsDoc;
    it was causing a Lintian error (executable file under /usr/share/doc)
    and not useful as-is anyway (referring to paths only valid on NCBI
    systems).
  * Honor DEB_BUILD_OPTIONS, and build without -g by default.
  * Above change should suffice to bump standards version to 3.5.6.  Yay!
  * Now clean by Lintian 1.20.14.1.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  6 Sep 2001 11:05:49 -0400

ncbi-tools6 (6.0.2-2.2) unstable; urgency=low

  * NMU
  * The previous maintainer has resigned.  Setting maintainer to Debian QA
    Group <packages@qa.debian.org>.
  * debian/ncbi-tools6-dev.README.debian: add final newline to shut diff up
  * debian/control: tidied up package descriptions
  * debian/rules: use dh_shlibdeps -l instead of LD_LIBRARY_PATH
  * debian/{shlibs,vibrant6.shlibs}: while we're at it, why don't we have
    some shlibs files to go with these shared library packages, like they
    taught us in freshman year at Debian University
  * Thanks to the above two fixes... (Closes: #104365)

 -- Dr. Branden Robinson <branden@debian.org>  Sat, 11 Aug 2001 20:57:17 -0500

ncbi-tools6 (6.0.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * va_arg promotes shorts to ints.  This is flagged as an error by
    gcc >= 2.96.  Closes: #103550

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ncbi-tools6 (6.0.2-2) unstable; urgency=low

  * Adopted by new maintainer; closes: #92794, #92796, #92798, #48176
  * Corrected typo in manpage for formatdb; closes: #38483
  * Removed self-conflict of vibrant-dev; closes: #49712
  * Changed the double installation of the copyright file by ncbi-tools6 and
    ncbi-tools6-dev into the same doc directory (and added a README.Debian in
    /usr/share/doc/ncbi-tools6-dev); closes: #51122, #77541, #56643
  * Added the installation of README.blast.
  * Updated to newer standards version and added Build-Depends.
  * Added debhelper token to vibrant6.preinst to fix lintian warning.
  * Moved blast2 from section misc to science, because it is a tool that
    is exclusively useful for molecular biologists.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 13 Apr 2001 15:12:10 +0200

ncbi-tools6 (6.0.2-1.1) unstable; urgency=low

  * NMU.
  * Recompiled against lesstif1.  Closes: #48176

 -- Adam Heath <doogie@debian.org>  Mon, 25 Oct 1999 07:05:49 -0500

ncbi-tools6 (6.0.2-1) unstable; urgency=low

  * New upstream release (includes Blast 2.0.8).
    Addresses #33451 but does not solve it completely.
  * Manual page. Closes #30227
  * Add the vibrant package
  * Proper symlinks in -dev packages. Closes #31619

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon, 15 Feb 1999 12:55:01 +0100

ncbi-tools6 (6.0.1-1) unstable; urgency=low

  * New upstream release
  * Add the blast package

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 12 Nov 1998 15:55:02 +0100

ncbi-tools6 (6.0-3) frozen; urgency=low

  * Changes in the dependencies in control. Closes #28610
  * Change in rules: the source package was broken and uncompilable. Closes #28978

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 28 Oct 1998 09:16:49 +0100

ncbi-tools6 (6.0-2) unstable; urgency=low

  * Various lintian warnings suppressed
  * Not all files are copied in /usr/lib/ncbi/data, to save space

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon, 26 Oct 1998 15:59:25 +0100

ncbi-tools6 (6.0-1) unstable; urgency=low

  * Initial Release. First public release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue, 22 Sep 1998 17:23:12 +0200
